PETSc version 3.15.5
Fix/Edit manual page

# DMForestSetBaseDM

During the pre-setup phase, set the DM that defines the base mesh of a DMForest forest. The forest will be hierarchically refined from the base, and all refinements/coarsenings of the forest will share its base. In general, two forest must share a base to be comparable, to do things like construct interpolators.

### Synopsis

    #include "petscdmforest.h"
    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMForestSetBaseDM(DM dm, DM base)

Logically collective on dm

### Input Parameters

| dm | - the forest
| base | - the base DM of the forest

### Notes

Currently the base DM must be a DMPLEX

### See Also

DMForestGetBaseDM()

### Level

intermediate

### Location

src/dm/impls/forest/forest.c
Index of all DMFOREST routines
Table of Contents for all manual pages
Index of all manual pages